﻿Imports System.Data

Partial Class VB
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(sender As Object, e As EventArgs) Handles Me.Load
        If Not Me.IsPostBack Then
            Dim dt As New DataTable()
            dt.Columns.AddRange(New DataColumn(2) {
                                New DataColumn("Id", GetType(Integer)),
                                New DataColumn("Name", GetType(String)),
                                New DataColumn("Description", GetType(String))})
            dt.Rows.Add(1, "John Hammond", "Works as a scientist in USA.")
            dt.Rows.Add(2, "Mudassar Khan", "ASP.Net programmer and consultant in India.")
            dt.Rows.Add(3, "Suzanne Mathews", "Content Writer in France.")
            dt.Rows.Add(4, "Robert Schidner", "Wild life photographer in Russia.")
            GridView1.DataSource = dt
            GridView1.DataBind()
        End If
    End Sub

    Protected Sub OnRowDataBound(sender As Object, e As GridViewRowEventArgs)
        If e.Row.RowType = DataControlRowType.DataRow Then
            e.Row.ToolTip = TryCast(e.Row.DataItem, DataRowView)("Description").ToString()
        End If
    End Sub
End Class
